# Enrich Contacts

Enrich contacts from search results. This is step 3 of the prospecting process.

  Endpoint: (POST)  https://api.lusha.com/prospecting/contact/enrich
---

⚠️ Important Notice - Unified Credits Plan Required

| Parameter | Requirement |
|-----------|-------------|
| revealEmails and revealPhones | Only available to customers on the Unified Credits pricing plan |
| Plan Restriction | Attempting to use these parameters on other plans will result in a 403 Unauthorized error |
| Default Behavior | When neither parameter is used, the API returns both email addresses and phone numbers, if available |

---

Endpoint: POST /prospecting/contact/enrich
Security: ApiKeyAuth

## Request fields (application/json):

  - `requestId` (string, required)
    The requestId generated in the Prospecting Search response (UUID)
    Example: "b6effae6-35b8-493d-91aa-7d3b1b7c7dc7"

  - `contactIds` (array, required)
    An array containing the contact IDs for enrichment. Min 1, max 100.
    Example: ["37b4c536-eaec-11ef-ad4b-a75f8e9e1484"]

  - `revealEmails` (boolean)
    Set revealEmails=true to retrieve only the email address of the contact. Only available to customers on the Unified Credits pricing plan.

  - `revealPhones` (boolean)
    Set revealPhones=true to retrieve only the phone number of the contact. Only available to customers on the Unified Credits pricing plan.
    Example: true

## Response 200 fields (application/json):

  - `requestId` (string)
    The requestId that was used in the request

  - `contacts` (array)

  - `contacts.id` (string)
    The ID of the contact from the enrichment request

  - `contacts.isSuccess` (boolean)
    Indicates whether the enrichment process was successful

  - `contacts.data` (object)

  - `contacts.data.firstName` (string)
    Example: "Carolina"

  - `contacts.data.lastName` (string)
    Example: "Portela"

  - `contacts.data.fullName` (string)
    Example: "Carolina Portela"

  - `contacts.data.isShown` (boolean)

  - `contacts.data.jobTitle` (string)
    Example: "Solutions Engineer"

  - `contacts.data.location` (object)

  - `contacts.data.location.city` (string)
    Example: "Boston"

  - `contacts.data.location.state` (string)
    Example: "Massachusetts"

  - `contacts.data.location.country` (string)
    Example: "United States"

  - `contacts.data.location.country_iso2` (string)
    Example: "US"

  - `contacts.data.location.continent` (string)
    Example: "North America"

  - `contacts.data.emailAddresses` (array)

  - `contacts.data.emailAddresses.email` (string)
    The email address (alternative to 'address')
    Example: "dustin@lusha.com"

  - `contacts.data.emailAddresses.address` (string)
    The email address (alternative to 'email')
    Example: "dustin@lusha.com"

  - `contacts.data.emailAddresses.emailType` (string)
    The type of email address (alternative to 'type')
    Enum: "work", "private"

  - `contacts.data.emailAddresses.emailConfidence` (string)
    The confidence level of the email address
    Example: "A+"

  - `contacts.data.emailAddresses.updateDate` (string)
    The update date of the email address
    Example: "2020-01-01"

  - `contacts.data.phoneNumbers` (array)

  - `contacts.data.phoneNumbers.number` (string)
    The phone number
    Example: "+1234567890"

  - `contacts.data.phoneNumbers.phoneType` (string, required)
    The type of phone number
    Enum: "Mobile", "Direct", "Phone"

  - `contacts.data.phoneNumbers.doNotCall` (boolean, required)
    Indicates whether the phone number is listed as "Do Not Call" (DNC).

  - `contacts.data.phoneNumbers.updateDate` (string, required)
    The update date of the phone number
    Example: "2020-01-01"

  - `contacts.data.companyId` (number)
    Example: 3553744

  - `contacts.data.companyName` (string)
    Example: "Lusha"

  - `contacts.data.socialLinks` (object)

  - `contacts.data.socialLinks.linkedin` (string)
    Example: "https://www.linkedin.com/in/carolinaportela/"

  - `contacts.data.socialLinks.xUrl` (string)
    Example: "https://twitter.com/carolina"

  - `contacts.data.departments` (array)
    Example: ["Engineering & Technical"]

  - `contacts.data.seniority` (array)

  - `contacts.data.seniority.id` (number)
    Example: 4

  - `contacts.data.seniority.value` (string)
    Example: "senior"

  - `contacts.data.company` (object)

  - `contacts.data.company.revenueRange` (array)

  - `contacts.data.company.funding` (object)

  - `contacts.data.company.funding.rounds` (array)

  - `contacts.data.company.funding.rounds.currency` (string, required)
    Example: "USD"

  - `contacts.data.company.funding.rounds.roundAmount` (number, required)
    Example: 205000000

  - `contacts.data.company.funding.rounds.roundType` (string, required)
    Example: "Private Equity Round"

  - `contacts.data.company.funding.rounds.roundDate` (string, required)
    Example: "Nov 10, 2021"

  - `contacts.data.company.funding.totalRounds` (number, required)
    Example: 2

  - `contacts.data.company.funding.totalRoundsAmount` (number)
    Example: 245000000

  - `contacts.data.company.funding.currency` (string, required)
    Example: "USD"

  - `contacts.data.company.funding.isIpo` (boolean, required)

  - `contacts.data.company.funding.lastRoundType` (string)
    Example: "Private Equity Round"

  - `contacts.data.company.funding.lastRoundAmount` (number)
    Example: 205000000

  - `contacts.data.company.funding.lastRoundDate` (string)
    Example: "Nov 10, 2021"

  - `contacts.data.company.intent` (object)

  - `contacts.data.company.intent.detectedTopics` (array, required)

  - `contacts.data.company.intent.detectedTopics.topicName` (string, required)
    Example: "Remote Sales"

  - `contacts.data.company.intent.detectedTopics.metadata` (object, required)

  - `contacts.data.company.intent.detectedTopics.metadata.topicScore` (number, required)
    Example: 83

  - `contacts.data.company.intent.detectedTopics.metadata.topicTrend` (string, required)
    Example: "-5"

  - `contacts.data.company.intent.topicCount` (number, required)
    Example: 6

  - `contacts.data.company.mainIndustry` (string)

  - `contacts.data.company.subIndustry` (string)

  - `contacts.data.company.technologies` (array)

  - `contacts.data.company.technologies.name` (string, required)
    Example: "salesforce"

  - `contacts.data.linkedinFollowersCount` (integer)
    Example: 1250

  - `contacts.data.linkedinConnectionsCount` (integer)
    Example: 500

  - `contacts.data.linkedinCertifications` (array)

  - `contacts.data.linkedinCertifications.companyId` (integer)
    Example: 1035

  - `contacts.data.linkedinCertifications.companyName` (string)
    Example: "Microsoft"

  - `contacts.data.linkedinCertifications.credentialId` (string)
    Example: "abc123"

  - `contacts.data.linkedinCertifications.dateMonth` (any)
    Example: 6

  - `contacts.data.linkedinCertifications.dateYear` (any)
    Example: 2020

  - `contacts.data.linkedinCertifications.expireDateMonth` (any)
    Example: 6

  - `contacts.data.linkedinCertifications.expireDateYear` (any)
    Example: 2025

  - `contacts.data.linkedinCertifications.linkedinCompanyId` (integer,null)
    Example: 1441

  - `contacts.data.linkedinCertifications.summary` (string,null)
    Example: "Azure fundamentals certification covering cloud concepts"

  - `contacts.data.linkedinCertifications.title` (string)
    Example: "Microsoft Certified: Azure Fundamentals"

  - `contacts.data.linkedinCertifications.verifyUrl` (string,null)
    Example: "https://www.youracclaim.com/badges/5ccf865c-dd6e-4dcc-9184-c8999d31f83d"

  - `contacts.data.linkedinCourses` (array)

  - `contacts.data.linkedinCourses.activities` (string,null)

  - `contacts.data.linkedinCourses.degree` (string,null)

  - `contacts.data.linkedinCourses.endDateMonth` (any)

  - `contacts.data.linkedinCourses.endDateYear` (any)

  - `contacts.data.linkedinCourses.fieldOfStudy` (object,null)

  - `contacts.data.linkedinCourses.fieldOfStudy.id` (string,null)

  - `contacts.data.linkedinCourses.fieldOfStudy.name` (string,null)

  - `contacts.data.linkedinCourses.grade` (string,null)

  - `contacts.data.linkedinCourses.school` (object,null)

  - `contacts.data.linkedinCourses.school.id` (string,null)

  - `contacts.data.linkedinCourses.school.logoUrl` (string,null)

  - `contacts.data.linkedinCourses.school.name` (string,null)

  - `contacts.data.linkedinCourses.startDateMonth` (any)

  - `contacts.data.linkedinCourses.startDateYear` (any)

  - `contacts.data.linkedinCourses.linkedinSchoolId` (number,null)

  - `contacts.data.linkedinAwards` (array)

  - `contacts.data.linkedinAwards.companyName` (string,null)
    Example: "Columbia Southern University"

  - `contacts.data.linkedinAwards.dateDay` (any)
    Example: 15

  - `contacts.data.linkedinAwards.dateMonth` (any)
    Example: 7

  - `contacts.data.linkedinAwards.dateYear` (any)
    Example: 2023

  - `contacts.data.linkedinAwards.linkedinCompanyId` (string,null)

  - `contacts.data.linkedinAwards.summary` (string,null)
    Example: "Certificate of Recognition for Exceptional Teaching"

  - `contacts.data.linkedinAwards.title` (string)
    Example: "Raising the Bar Award"

  - `contacts.data.linkedinSkills` (array)
    Example: ["Microsoft Office","Project Management","Strategic Planning"]

## Response 400 fields (application/json):

  - `statusCode` (integer, required)
    HTTP status code
    Example: 400

  - `message` (string, required)
    Error message
    Example: "Validation failed"

  - `errors` (array)
    Detailed error messages (optional, only for validation errors)
    Example: ["entityType must be one of: contact, company"]


